Skip to navigation

Get Variant Information

Returns detailed information for each product variant provided in the variantSkus parameter. Several fields are duplicated in other formats for convenience.

Analogous to the Get a product variant endpoint in the default BigCommerce API.

Equivalent Storefront GraphQL API Query: variantSku. For more information, see the GraphQL Playground.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Query parameters

variantSkusstringRequired

A collection of SKUs associated with product variants, separated by |.

Response

SUCCESS
codeintegerOptional
HTTP status code indicating the result of the operation.
messagestringOptional
Message describing the result of the operation.
datalist of objectsOptional
List of product variant data objects.